Next: , Previous: , Up: GUI   [Contents][Index]


11.1 GUI installation

As xasy is written in the interactive scripting language Python/TK, it requires Python (http://www.python.org), the Pillow fork of the Python Imaging Library,and the tkinter package (included with Python under Microsoft Windows). Fedora Linux users can either install tkinter and Pillow with the commands

dnf install tkinter
dnf install tk-devel
dnf install python-pillow-tk

or manually install the tkinter, tix, tk, and tk-devel packages.

Pictures are deconstructed into the PNG image format, which supports full alpha channel transparency. Under Microsoft Windows, this requires Python 2.7.4 or later and version 3.1.0 of the Pillow fork of the Python Imaging Library, available from

http://pypi.python.org/pypi/Pillow